Subject: Re: Custom Driver

From: Grant Likely <[email-masked]>
Date: Mon, 02 Jan 2006 20:59:23 -0700

Brett McNerney wrote:
> I am need to create a driver to interface to custom hardware on a ml403
> board.  I am first trying to just create a ipif register bank and access
> the registers from linux but am not having any luck of yet.  Has anyone
> successfully done this and if so explain how or supply a driver to do
> this and how to build it into the kernel?  I am new at this and am
> having great difficutly right now. 
> 
> Thanks for any help anyone can supply
Can you access your device from a debugger, or a no-os program (like a
bootloader)?  Did you call ioremap() to map the physical register
address into virtual memory?  Can you give more detail?

g.

-- 
Grant Likely, B.Sc. P.Eng.
Secret Lab Technologies Ltd.
(403) 663-0761